package com.unibuy.smartdevice.structure;

public class CreditCardReceiptStructure {
    private String MarchantNo;
    private int TerminalNo;
    private String CardType;
    private String CardNo;
    private String TransType;
    private String BatchNo;
    private String AuthCode;
    private String DateTime;
    private String InvNo;
    private int CCRAmount;

    public CreditCardReceiptStructure(String MarchantNo, int TerminalNo, String CardType, String CardNo
            , String TransType, String BatchNo, String AuthCode, String DateTime, String InvNo, int CCRAmount) {
        this.MarchantNo = MarchantNo;
        this.TerminalNo = TerminalNo;
        this.CardType = CardType;
        this.CardNo = CardNo;
        this.TransType = TransType;
        this.BatchNo = BatchNo;
        this.AuthCode = AuthCode;
        this.DateTime = DateTime;
        this.InvNo = InvNo;
        this.CCRAmount = CCRAmount;
    }

    public String getMarchantNo() {
        return MarchantNo;
    }
    public void setMarchantNo(String MarchantNo) {
        this.MarchantNo = MarchantNo;
    }
    public int getTerminalNo() {
        return this.TerminalNo;
    }
    public void setTerminalNo(int TerminalNo) {
        this.TerminalNo = TerminalNo;
    }
    public String getCardType() {
        return CardType;
    }
    public void setCardType(String CardType) {
        this.CardType = CardType;
    }
    public String getCardNo() {
        return CardNo;
    }
    public void setCardNo(String CardNo) {
        this.CardNo = CardNo;
    }
    public String getTransType() {
        return TransType;
    }
    public void setTransType(String TransType) {
        this.TransType = TransType;
    }
    public String getBatchNo() {
        return BatchNo;
    }
    public void setBatchNo(String BatchNo) {
        this.BatchNo = BatchNo;
    }
    public String getAuthCode() {
        return AuthCode;
    }
    public void setAuthCode(String AuthCode) {
        this.AuthCode = AuthCode;
    }
    public String getDateTime() {
        return DateTime;
    }
    public void setDateTime(String DateTime) {
        this.DateTime = DateTime;
    }
    public String getInvNo() {
        return InvNo;
    }
    public void setInvNo(String InvNo) {
        this.InvNo = InvNo;
    }
    public int getCCRAmount() {
        return CCRAmount;
    }
    public void setCCRAmount(int CCRAmount) {
        this.CCRAmount = CCRAmount;
    }
}
